%define fgrun_ver 1.5.1
%define branch 1.9

Name: FlightGear
Version: 1.9.1
Release: alt1

Summary: open-source flight simulator
License: GPL
Group: Games/Arcade

Url: http://www.flightgear.org
Source0: %name-%version.tar.gz
Source1: fgrun-%fgrun_ver.tar.gz
Source2: FlightGear.menu
Source3: FlightGear-22x22.xpm
Source4: FlightGear-32x32.xpm
Source5: FlightGear-48x48.xpm
Source10: fg-16.png
Source11: fg-32.png
Source12: fg-48.png
Source13: fg-64.png
Source14: fg-128.png
Source15: FlightGear.desktop
Patch0: FlightGear-1.9.1-gcc44.patch
Patch1: FlightGear-1.0.0-alt-expat-fix.patch
Patch2: FlightGear-1.0.0-alt-fix-build.patch
Patch3: alt-fgrun-fgfs-location-fix.patch
Patch4: alt-fgrun-expat-link-fix.patch
Patch5: alt-fgrun-game-mode-fs-fix.patch
Patch6: fgrun-1.5.1-alt-configure.patch
Packager: Michael Shigorin <mike@altlinux.org>

Requires: fgfs-data >= %branch

# Automatically added by buildreq on Tue Mar 24 2009
BuildRequires: boost-devel desktop-file-utils gcc-c++ imake libGL-devel libSDL-devel libXext-devel libXft-devel libXi-devel libXmu-devel libexpat-devel libfltk-devel libfreeglut-devel libopenal-devel libsimgear-devel-static libsubversion-devel plib-devel xorg-cf-files zlib-devel

%description
FlightGear is a free, open-source, multi-platform, and sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas.

This package contains the engine.

%prep
%setup -n %name-%version
%patch0 -p1 -b .gcc44

sed -i 's/\r//' docs-mini/AptNavFAQ.FlightGear.html
for ext in Cygwin IRIX Joystick Linux MSVC MSVC8 MacOS SimGear Unix \
	Win32-X autoconf mingw plib src xmlsyntax; do
	rm -f docs-mini/README.$ext
done

tar zxf %SOURCE1
pushd fgrun-%fgrun_ver
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch2 -p2
popd

%build
%autoreconf
%configure
%make

pushd fgrun-%fgrun_ver
./autogen.sh
%configure
%make_build
popd

%install
%make DESTDIR=%buildroot install

pushd fgrun-%fgrun_ver
%make DESTDIR=%buildroot install
popd

desktop-file-install --dir=%buildroot%_desktopdir %SOURCE15

install -pDm644 %SOURCE3 %buildroot%_miconsdir/%name.xpm
install -pDm644 %SOURCE4 %buildroot%_niconsdir/%name.xpm
install -pDm644 %SOURCE5 %buildroot%_liconsdir/%name.xpm

install -pDm644 %SOURCE10 %buildroot%_iconsdir/hicolor/16x16/apps/%name.png
install -pDm644 %SOURCE11 %buildroot%_iconsdir/hicolor/32x32/apps/%name.png
install -pDm644 %SOURCE12 %buildroot%_iconsdir/hicolor/48x48/apps/%name.png
install -pDm644 %SOURCE13 %buildroot%_iconsdir/hicolor/64x64/apps/%name.png
install -pDm644 %SOURCE14 %buildroot%_iconsdir/hicolor/128x128/apps/%name.png

rm -rf %buildroot/%_datadir/locale

%files
%_bindir/*
%_mandir/*/*
%_iconsdir/*/*/*/%name.png
%_niconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_desktopdir/%name.desktop

# TODO
# - move fgrun into a package of its own, require that
#   (casually got updated in async manner)

%changelog
* Tue Mar 24 2009 Michael Shigorin <mike@altlinux.org> 1.9.1-alt1
- 1.9.1
  + no more build in %%install
  + imported icons from fedora (GPL; previously available at
    http://jrbabcock.home.comcast.net/flightgear/icons/)
  + disabled fgrun in desktop file (currently broken,
    tries to execve "")
- disabled patch1 (fixed upstream)
- updated patch6 to fgrun-1.5.1
- added fedora gcc44 patch (future-proof)
- replaced debian menufile with fd.o one based on fedora's
- spec cleanup
- buildreq

* Tue Dec 02 2008 Igor Zubkov <icesik@altlinux.org> 1.0.0-alt1.3.1
- fix build
- don't run update menu after install and uninstall

* Tue Jul 08 2008 Albert R. Valiev <darkstar@altlinux.ru> 1.0.0-alt1.3
- Fixed fgrun startup from menu

* Tue Jan 29 2008 Albert R. Valiev <darkstar@altlinux.ru> 1.0.0-alt1.2
- Fixed #14231 (fgrun game mode must turn on fullscreen)

* Wed Jan 09 2008 Albert R. Valiev <darkstar@altlinux.ru> 1.0.0-alt1.1
- Fixed buildrequies (autoconf/automake dependecies)

* Tue Jan 08 2008 Albert R. Valiev <darkstar@altlinux.ru> 1.0.0-alt1
- 1.0.0
- Now uses system libexpat (#8251)

* Tue May 01 2007 Albert R. Valiev <darkstar@altlinux.ru> 0.9.10-alt1.1
- Rebuild with libalut
- Update fgrun to 0.4.8

* Sat Aug 05 2006 Michael Shigorin <mike@altlinux.org> 0.9.10-alt1
- 0.9.10

* Thu Mar 02 2006 Albert R. Valiev <darkstar@altlinux.ru> 0.9.9-alt1.1
- Updated build requirements.

* Sat Dec 03 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.9-alt1
- New version

* Tue Mar 01 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.8-alt2
- Parallel build turned of (cause it fails to build with it...)

* Fri Jan 21 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.8-alt1
- Update to 0.9.8 version
- Changed FlightGear Launcher from fgkicker to fgrun.
- Rebuild with g++3.4 compiler

* Tue Sep 14 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.9.6-alt2.pre1
- Fixed airports.dat file installation
- Moved airports.dat from FlightGear-data package into main package

* Tue Sep 14 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.9.6-alt1.pre1
- New version build
- Added FlightGear launcher
- Removed old menu entries

* Sat Jun 14 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.2-alt1
- Initial build to sisyphus
- Created menu entries for majority of flyable aircrafts
